%{?nodejs_find_provides_and_requires}
Name:                nodejs-rimraf
Version:             2.6.1
Release:             1
Summary:             A deep deletion module for node.js
License:             MIT
URL:                 https://github.com/isaacs/rimraf
Source0:             https://github.com/isaacs/rimraf/archive/v%{version}/nodejs-rimraf-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tap) npm(glob) npm(mkdirp)
%description
%summary (like `rm -rf`).

%prep
%autosetup -p 1 -n rimraf-%{version}
%nodejs_fixdep glob

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/rimraf
cp -pr package.json rimraf.js bin.js %{buildroot}%{nodejs_sitelib}/rimraf
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%tap test/basic.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/rimraf

%changelog
* Fri Aug 14 2020 wangyue <wangyue92@huawei.com> - 2.6.1-1
- Package init
